<?php
/**
 *	iCagenda
 *----------------------------------------------------------------------------
 * @package     com_icagenda
 * @copyright	Copyright (C) 2012-2013 JOOMLIC - All rights reserved.

 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Jooml!C - http://www.joomlic.com
 *
 * @update		2013-05-27
 * @version		2.1.14
 *----------------------------------------------------------------------------
*/

// No direct access to this file
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.view');



/**
 * View to edit
 */
class iCagendaViewEvent extends JView
{
	protected $state;
	protected $item;
	protected $form;

	/**
	 * Display the view
	 */
	public function display($tpl = null)
	{

		// Initialiase variables.
		$this->state	= $this->get('State');
		$this->item		= $this->get('Item');
		$this->form		= $this->get('Form');

         // Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}

		$this->addToolbar();
		parent::display($tpl);
	}

	/**
	 * Add the page title and toolbar.
	 */
	protected function addToolbar()
	{
		JRequest::setVar('hidemainmenu', true);
		$user		= JFactory::getUser();
		$userId		= $user->get('id');
		$isNew		= ($this->item->id == 0);
		$checkedOut	= !($this->item->checked_out == 0 || $this->item->checked_out == $userId);
		$canDo		= iCagendaHelper::getActions();

                JToolBarHelper::title($isNew ? JText::_('COM_ICAGENDA_TITLE_EVENT')
                                             : JText::_('COM_ICAGENDA_TITLE_EVENT'), 'event');

		// Build the actions for new and existing records.
		if ($isNew)
		{
			// For new records, check the create permission.
			if ($canDo->get('core.create')) {
				JToolBarHelper::apply('event.apply', 'JTOOLBAR_APPLY');
				JToolBarHelper::save('event.save', 'JTOOLBAR_SAVE');
				JToolBarHelper::custom('event.save2new', 'save-new.png', 'save-new_f2.png',
                                                       'JTOOLBAR_SAVE_AND_NEW', false);
			}
			JToolBarHelper::cancel('event.cancel', 'JTOOLBAR_CANCEL');
		}
		else
		{
			// Can't save the record if it's checked out.
			if (!$checkedOut) {
				// Since it's an existing record, check the edit permission, or fall back to edit own if the owner.
				if ($canDo->get('core.edit') || ($canDo->get('core.edit.own') && $this->item->created_by == $userId)) {
					// We can save the new record
					JToolBarHelper::apply('event.apply', 'JTOOLBAR_APPLY');
					JToolBarHelper::save('event.save', 'JTOOLBAR_SAVE');

					// We can save this record, but check the create permission to see
					// if we can return to make a new one.
					if ($canDo->get('core.create')) {
						JToolBarHelper::custom('event.save2new', 'save-new.png', 'save-new_f2.png',
                                                               'JTOOLBAR_SAVE_AND_NEW', false);
					}
				}


			}
			// If checked out, we can still save
			if ($canDo->get('core.create')) {
				JToolBarHelper::custom('event.save2copy', 'save-copy.png', 'save-copy_f2.png',
                                                       'JTOOLBAR_SAVE_AS_COPY', false);
			}
			JToolBarHelper::cancel('event.cancel', 'JTOOLBAR_CLOSE');

		}





//		JRequest::setVar('hidemainmenu', true);

//		$user		= JFactory::getUser();
//		$isNew		= ($this->item->id == 0);
//        if (isset($this->item->checked_out)) {
//		    $checkedOut	= !($this->item->checked_out == 0 || $this->item->checked_out == $user->get('id'));
//        } else {
//            $checkedOut = false;
//        }
//		$canDo		= iCagendaHelper::getActions();

//		JToolBarHelper::title(JText::_('COM_ICAGENDA_TITLE_EVENT'), 'event.png');

		// If not checked out, can save the item.
//		if (!$checkedOut && ($canDo->get('core.edit')||($canDo->get('core.create'))))
//		{

//			JToolBarHelper::apply('event.apply', 'JTOOLBAR_APPLY');
//			JToolBarHelper::save('event.save', 'JTOOLBAR_SAVE');
//		}
//		if (!$checkedOut && ($canDo->get('core.create'))){
//			JToolBarHelper::custom('event.save2new', 'save-new.png', 'save-new_f2.png', 'JTOOLBAR_SAVE_AND_NEW', false);
//		}
		// If an existing item, can save to a copy.
//		if (!$isNew && $canDo->get('core.create')) {
//			JToolBarHelper::custom('event.save2copy', 'save-copy.png', 'save-copy_f2.png', 'JTOOLBAR_SAVE_AS_COPY', false);
//		}
//		if (empty($this->item->id)) {
//			JToolBarHelper::cancel('event.cancel', 'JTOOLBAR_CANCEL');
//		}
//		else {
//			JToolBarHelper::cancel('event.cancel', 'JTOOLBAR_CLOSE');
//		}

	}



}
